{"templateId":"markdown","versions":[{"version":"shipengine","label":"ShipStation API (formerly ShipEngine)","link":"/apis/shipengine/docs/shipping/service-points","default":false,"active":false,"folderId":"58c9a61d"},{"version":"shipstation-v2","label":"ShipStation V2 API","link":"/apis/docs/shipping/service-points","default":true,"active":true,"folderId":"58c9a61d"},{"version":"shipstation-v1","label":"ShipStation V1 API","link":"/apis/shipstation-v1/docs/shipping/service-points","default":false,"active":false,"folderId":"58c9a61d"}],"sharedDataIds":{"sidebar":"sidebar-apis/@shipengine/sidebars.yaml","oas-apis/@shipstation-v2/openapi.yaml":"oas-apis/@shipstation-v2/openapi.yaml"},"props":{"metadata":{"markdoc":{"tagList":["openapi-code-sample"]},"type":"markdown"},"seo":{"title":"Introduction to Service Points","keywords":"shipping, labels, shipstation, documentation, api","siteUrl":"https://docs.shipstation.com","lang":"en-US","llmstxt":{"hide":false,"title":"ShipStation API LLM Docs","description":"Find links and references to all markdown documentation for use with LLMs","excludeFiles":[]}},"dynamicMarkdocComponents":["openapi"],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"introduction-to-service-points","__idx":0},"children":["Introduction to Service Points"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Service Points are designated locations where your package recipient can either pick up or drop off a parcel, rather than using their home, office, or business address as the pickup or dropoff location. Service points allow your customers to collect shipments at a time convenient to them. Service points are typically established in convenient and accessible locations such as retail stores, convenience stores, gas stations, or other centralized spots."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Service points are sometimes referred to as Pickup/Dropoff points, or PUDO. Services that support service points are often referred to as PUDO services."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"benefits","__idx":1},"children":["Benefits"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Customer-centric ecommerce companies and logistics providers who commonly use service points as part of their delivery solutions hold several advantages that benefit both consumers and businesses:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Convenience"]},": PUDO services provide flexibility to recipients who may not be available at home during typical delivery hours. They can pick up or drop off their parcels at a time that best suits them."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Reduce Missed Deliveries"]},": Since recipients can collect their items at their own convenience, it reduces the chance of missed deliveries and the need for re-delivery attempts."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Cost-Efficiency"]},": PUDO services can be more cost-effective for businesses since they can consolidate deliveries to a central location rather than making individual trips to recipient addresses."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Reduced Environmental Impact"]},": Centralized drop-off points can lead to more efficient routes, potentially reducing the carbon footprint of deliveries."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Expanded Delivery Options"]},": PUDO service points can be particularly useful in areas where standard home delivery is challenging, like in rural or densely populated urban areas."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"using-service-points-with-shipstation-v2-api","__idx":2},"children":["Using Service Points with ShipStation V2 API"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["With ShipStation V2 API, you can find service points and create PUDO labels."]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Find service points"]},": Use the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/v2/service_points/list"]}," endpoint to search for available service points near a location. To get the details of a specific service point by ID, use the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/v2/service_points/{carrier_code}/{country_code}/{service_point_id}"]}," endpoint. Service point details include address or geological location, hours of operation, features, and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["service_point_id"]},". You can then display the service point details at checkout to allow your customers to select the most convenient location for them.",{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Please note: the service points endpoint availability may depend on your account plan level."]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Create PUDO labels"]},": You can add the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["service_point_id"]}," value for the specific PUDO property you use in your ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/create-labels"},"children":["purchase label call"]},", when shipping with a PUDO service.",{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["There are three types of PUDO labels you can create: Home to Shop, Shop to Home, and Shop to Shop."]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"general-requirements","__idx":3},"children":["General Requirements"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Use a carrier that provides PUDO services and a service that allows pickup and drop off at a service point. If you use an unsupported carrier/service, you'll receive an error when you submit your request."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Confirm any other PUDO shipping requirements with the carrier. For example, do they permit PUDO use only for certain services? Do they require an ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/advanced-options"},"children":["advanced option"]}," when using PUDO services?"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Know the service point details. For instance, when you select some service points the carrier may require certain properties to appear in the purchase label request body."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"finding-service-points","__idx":4},"children":["Finding Service Points"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the POST ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/v2/service_points/list"]}," endpoint to search for available service points near a specific address or location. The endpoint returns a list of service points with details including:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Service point ID"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Address and location coordinates"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Operating hours"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Available features and capabilities"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Distance from the search location"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"example-request","__idx":5},"children":["Example Request"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["POST /v2/service_points/list"]}]},{"$$mdtype":"Tag","name":"OpenApiCodeSample","attributes":{"descriptionFile":"oas-apis/@shipstation-v2/openapi.yaml","operationId":"service_points_list","parameters":{},"environments":{}},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"creating-pudo-labels","__idx":6},"children":["Creating PUDO Labels"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["To create a label with a service point, include the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["service_point_id"]}," in your label creation request. The location of this property depends on the type of PUDO label you're creating:"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"home-to-shop","__idx":7},"children":["Home to Shop"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["For deliveries from a sender's address to a service point for customer pickup, include the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["service_point_id"]}," in the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ship_to"]}," object:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"shipment\": {\n    \"ship_to\": {\n      \"service_point_id\": \"sp_123456\"\n    }\n  }\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"shop-to-home","__idx":8},"children":["Shop to Home"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["For returns or shipments picked up at a service point and delivered to an address, include the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["service_point_id"]}," in the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ship_from"]}," object:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"shipment\": {\n    \"ship_from\": {\n      \"service_point_id\": \"sp_123456\"\n    }\n  }\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"shop-to-shop","__idx":9},"children":["Shop to Shop"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["For shipments picked up at one service point and delivered to another, include ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["service_point_id"]}," in both objects:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"shipment\": {\n    \"ship_from\": {\n      \"service_point_id\": \"sp_123456\"\n    },\n    \"ship_to\": {\n      \"service_point_id\": \"sp_789012\"\n    }\n  }\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"carrier-support","__idx":10},"children":["Carrier Support"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Not all carriers support service points. Common carriers that offer PUDO services include:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["DPD (UK and Europe)"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Evri (UK)"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Mondial Relay (Europe)"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Yodel (UK)"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Parcelforce (UK)"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["FedEx International Connect"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Check your carrier's documentation guide for specific service point support and requirements."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"related-guides","__idx":11},"children":["Related Guides"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/create-labels"},"children":["Create Labels"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/advanced-options"},"children":["Advanced Options"]}]}]}]},"headings":[{"value":"Introduction to Service Points","id":"introduction-to-service-points","depth":1},{"value":"Benefits","id":"benefits","depth":2},{"value":"Using Service Points with ShipStation V2 API","id":"using-service-points-with-shipstation-v2-api","depth":2},{"value":"General Requirements","id":"general-requirements","depth":3},{"value":"Finding Service Points","id":"finding-service-points","depth":2},{"value":"Example Request","id":"example-request","depth":3},{"value":"Creating PUDO Labels","id":"creating-pudo-labels","depth":2},{"value":"Home to Shop","id":"home-to-shop","depth":3},{"value":"Shop to Home","id":"shop-to-home","depth":3},{"value":"Shop to Shop","id":"shop-to-shop","depth":3},{"value":"Carrier Support","id":"carrier-support","depth":2},{"value":"Related Guides","id":"related-guides","depth":2}],"frontmatter":{"slug":"/service-points","seo":{"title":"Introduction to Service Points"}},"lastModified":"2026-09-03T15:25:23.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/service-points","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}